//!
//!

///
#[derive(Eq, Hash, Debug, Clone, Copy, PartialEq, diesel_derive_enum::DbEnum)]
pub enum MemberBankDepositState {
  Application = 1,
  Complete,
}

table! {
  use diesel::sql_types::{Uuid, Text, BigInt, Nullable, Integer};
  use super::MemberBankDepositStateMapping;

  ///
  member_bank_deposits(id) {
    ///
    id -> Uuid,
    ///
    member_id -> Uuid,
    ///
    name -> Text,
    ///
    amount -> Integer,
    ///
    memo -> Nullable<Text>,
    ///
    state -> MemberBankDepositStateMapping,
    ///
    state_changed_at -> BigInt,
    ///
    created_at -> BigInt,
    ///
    updated_at -> BigInt,
  }
}
