use crate::compositions;
use crate::repositories;
use beteran_protobuf_rust as bpr;

impl From<&repositories::member_referrer::models::MemberReferrer>
  for bpr::models::member_referrer::MemberReferrer
{
  fn from(d: &repositories::member_referrer::models::MemberReferrer) -> Self {
    bpr::models::member_referrer::MemberReferrer {
      id: d.id.to_string(),
      member_id: d.member_id.to_string(),
      can_use: d.can_use,
      memo: d.memo.clone(),
      created_at: d.created_at as u64,
      updated_at: d.updated_at as u64,
    }
  }
}

impl From<&compositions::member_referrer::models::MemberReferrerModel>
  for bpr::models::member_referrer::MemberReferrerModel
{
  fn from(d: &compositions::member_referrer::models::MemberReferrerModel) -> Self {
    bpr::models::member_referrer::MemberReferrerModel {
      id: d.id.to_string(),
      member: Some(bpr::models::member::Member::from(&d.member)),
      can_use: d.can_use,
      memo: d.memo.clone(),
      created_at: d.created_at as u64,
      updated_at: d.updated_at as u64,
    }
  }
}
